Debian Bug report logs - #380382
RM: gpdf -- RoQA; orphaned, better alternatives, security problems

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Loïc Minier <lool@dooz.org>

Date: Sat, 29 Jul 2006 16:48:09 UTC

Severity: normal

Merged with 382659

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#380382; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: gpdf
Date: Sat, 29 Jul 2006 18:42:37 +0200
Package: wnpp
Severity: normal

        Hi,

 I'm orphaning gpdf since I think it's current maintainer is MIA and I'm
 in Uploaders.  It has been unmaintained for quite some time, with
 security bugs open for months, and is in general a source of security
 bugs because it is based on xpdf.

 Upstream does not support gpdf anymore, it was superseded by evince
 since GNOME 2.12.

 This package might be a good candidate for removal, but I'm leaving it
 as orphaned for now, just in case.  I've cleaned it up a little.

   Bye,
-- 
Loïc Minier <lool@dooz.org>



Changed Bug title. Request was from joey@infodrom.org (Martin Schulze) to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Mohammed Adnène Trojette <adn+deb@diwi.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Mohammed Adnène Trojette <adn+deb@diwi.org> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 380382 382659. Request was from Mohammed Adnène Trojette <adn+deb@diwi.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#380382; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #18 received at 380382@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 380382@bugs.debian.org
Cc: control@bugs.debian.org
Subject: [jmm@inutil.org: gpdf still embeds xpdf code]
Date: Tue, 12 Sep 2006 14:13:45 +0200
retitle 380382 RM: gpdf -- RoQA; orphaned, better alternatives, security problems
retitle 382659 RM: gpdf -- RoQA; orphaned, better alternatives, security problems
thanks

----- Forwarded message from Moritz Muehlenhoff <jmm@inutil.org> -----

From: Moritz Muehlenhoff <jmm@inutil.org>
Subject:  gpdf still embeds xpdf code
Date:  Sat, 12 Aug 2006 15:43:49 +0200
To: debian-qa@lists.debian.org
User-Agent: slrn/0.9.8.1pl1 (Debian)

Hi,
I noticed that gpdf has been orphaned as current Gnome has switched
to evince as the PDF viewer. The problem is that gpdf still embeds
a complete copy of the xpdf code base. xpdf has a poor security
history and I expect more issues to pop up during the 30 months of
Etch security support. Please port gpdf to poppler or remove it from
the archive. The first option is straight-forward, as poppler is
based on xpdf as well. (Porting pdftohtml to poppler took me only
half an hour). However, I assume that removing it entirely might
be the better option, as evince is now the standard PDF viewer.

Cheers,
        Moritz


-- 
To UNSUBSCRIBE, email to debian-qa-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

----- End forwarded message -----

-- 
Martin Michlmayr
http://www.cyrius.com/



Changed Bug title. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Loïc Minier <lool@dooz.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 380382-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 380382-close@bugs.debian.org
Cc: gpdf@packages.debian.org, gpdf@packages.qa.debian.org
Subject: Bug#380382: fixed
Date: Sun, 24 Sep 2006 02:36:09 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

      gpdf |   2.10.0-4 | source, alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 380382@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mohammed Adnène Trojette <adn@diwi.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 10:53:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:02:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.